libopenmpt_ext.hpp File Reference
`#include "libopenmpt_config.h"`
`#include "libopenmpt.hpp"`

Go to the source code of this file.

## Classes

class | openmpt::module_ext
class | openmpt::ext::pattern_vis
class | openmpt::ext::interactive

## Namespaces

| openmpt
| openmpt::ext

## Macros

#define | LIBOPENMPT_DECLARE_EXT_CXX_INTERFACE(name)
#define | LIBOPENMPT_EXT_CXX_INTERFACE(name)
#define | LIBOPENMPT_EXT_INTERFACE_PATTERN_VIS
#define | LIBOPENMPT_EXT_INTERFACE_INTERACTIVE

## Variables

static const char | openmpt::ext::pattern_vis_id [] = "pattern_vis"
static const char | openmpt::ext::interactive_id [] = "interactive"

## Macro Definition Documentation

## LIBOPENMPT_DECLARE_EXT_CXX_INTERFACE

#define LIBOPENMPT_DECLARE_EXT_CXX_INTERFACE | ( |  | name | ) |

Value:
static const char name ## _id [] = # name ; \
class name; \

## LIBOPENMPT_EXT_CXX_INTERFACE

#define LIBOPENMPT_EXT_CXX_INTERFACE | ( |  | name | ) |

Value:
protected: \
name () {} \
virtual ~ name () {} \
public: \

## LIBOPENMPT_EXT_INTERFACE_INTERACTIVE

#define LIBOPENMPT_EXT_INTERFACE_INTERACTIVE

## LIBOPENMPT_EXT_INTERFACE_PATTERN_VIS

#define LIBOPENMPT_EXT_INTERFACE_PATTERN_VIS